Package org.apache.commons.math3.optimization.linear

# Class LinearConstraint

java.lang.Object
org.apache.commons.math3.optimization.linear.LinearConstraint

All Implemented Interfaces:
  `Serializable`

@Deprecated public class LinearConstraint extends Object implements Serializable
Deprecated.
As of 3.1 (to be removed in 4.0).
A linear constraint for a linear optimization problem.

A linear constraint has one of the forms:

- c1x1 + ... cnxn = v
- c1x1 + ... cnxn <= v
- c1x1 + ... cnxn >= v
- l1x1 + ... lnxn + lcst = r1x1 + ... rnxn + rcst
- l1x1 + ... lnxn + lcst <= r1x1 + ... rnxn + rcst
- l1x1 + ... lnxn + lcst >= r1x1 + ... rnxn + rcst

The ci, li or ri are the coefficients of the constraints, the xi are the coordinates of the current point and v is the value of the constraint.

Since:
  2.0
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`LinearConstraint(double[] lhsCoefficients, double lhsConstant, Relationship relationship, double[] rhsCoefficients, double rhsConstant)`
Deprecated.
Build a constraint involving two linear equations.
`LinearConstraint(double[] coefficients, Relationship relationship, double value)`
Deprecated.
Build a constraint involving a single linear equation.
`LinearConstraint(RealVector lhsCoefficients, double lhsConstant, Relationship relationship, RealVector rhsCoefficients, double rhsConstant)`
Deprecated.
Build a constraint involving two linear equations.
`LinearConstraint(RealVector coefficients, Relationship relationship, double value)`
Deprecated.
Build a constraint involving a single linear equation.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object other)`
Deprecated.
`RealVector`
`getCoefficients()`
Deprecated.
Get the coefficients of the constraint (left hand side).
`Relationship`
`getRelationship()`
Deprecated.
Get the relationship between left and right hand sides.
`double`
`getValue()`
Deprecated.
Get the value of the constraint (right hand side).
`int`
`hashCode()`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinearConstraint

public LinearConstraint(double[] coefficients, Relationship relationship, double value)
Deprecated.
Build a constraint involving a single linear equation.

A linear constraint with a single linear equation has one of the forms:

- c1x1 + ... cnxn = v
- c1x1 + ... cnxn <= v
- c1x1 + ... cnxn >= v

Parameters:
  `coefficients` - The coefficients of the constraint (left hand side)
  `relationship` - The type of (in)equality used in the constraint
  `value` - The value of the constraint (right hand side)

### LinearConstraint

public LinearConstraint(RealVector coefficients, Relationship relationship, double value)
Deprecated.
Build a constraint involving a single linear equation.

A linear constraint with a single linear equation has one of the forms:

- c1x1 + ... cnxn = v
- c1x1 + ... cnxn <= v
- c1x1 + ... cnxn >= v

Parameters:
  `coefficients` - The coefficients of the constraint (left hand side)
  `relationship` - The type of (in)equality used in the constraint
  `value` - The value of the constraint (right hand side)

### LinearConstraint

public LinearConstraint(double[] lhsCoefficients, double lhsConstant, Relationship relationship, double[] rhsCoefficients, double rhsConstant)
Deprecated.
Build a constraint involving two linear equations.

A linear constraint with two linear equation has one of the forms:

- l1x1 + ... lnxn + lcst = r1x1 + ... rnxn + rcst
- l1x1 + ... lnxn + lcst <= r1x1 + ... rnxn + rcst
- l1x1 + ... lnxn + lcst >= r1x1 + ... rnxn + rcst

Parameters:
  `lhsCoefficients` - The coefficients of the linear expression on the left hand side of the constraint
  `lhsConstant` - The constant term of the linear expression on the left hand side of the constraint
  `relationship` - The type of (in)equality used in the constraint
  `rhsCoefficients` - The coefficients of the linear expression on the right hand side of the constraint
  `rhsConstant` - The constant term of the linear expression on the right hand side of the constraint

### LinearConstraint

public LinearConstraint(RealVector lhsCoefficients, double lhsConstant, Relationship relationship, RealVector rhsCoefficients, double rhsConstant)
Deprecated.
Build a constraint involving two linear equations.

A linear constraint with two linear equation has one of the forms:

- l1x1 + ... lnxn + lcst = r1x1 + ... rnxn + rcst
- l1x1 + ... lnxn + lcst <= r1x1 + ... rnxn + rcst
- l1x1 + ... lnxn + lcst >= r1x1 + ... rnxn + rcst

Parameters:
  `lhsCoefficients` - The coefficients of the linear expression on the left hand side of the constraint
  `lhsConstant` - The constant term of the linear expression on the left hand side of the constraint
  `relationship` - The type of (in)equality used in the constraint
  `rhsCoefficients` - The coefficients of the linear expression on the right hand side of the constraint
  `rhsConstant` - The constant term of the linear expression on the right hand side of the constraint

## Method Details

### getCoefficients

public RealVector getCoefficients()
Deprecated.
Get the coefficients of the constraint (left hand side).

Returns:
  coefficients of the constraint (left hand side)

### getRelationship

public Relationship getRelationship()
Deprecated.
Get the relationship between left and right hand sides.

Returns:
  relationship between left and right hand sides

### getValue

public double getValue()
Deprecated.
Get the value of the constraint (right hand side).

Returns:
  value of the constraint (right hand side)

### equals

public boolean equals(Object other)
Deprecated.

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()
Deprecated.

Overrides:
  `hashCode` in class `Object`